View Issue Details

IDProjectCategoryView StatusLast Update
0003749SymmetricDSImprovementpublic2018-10-31 14:59
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.15 
Target Version3.9.15Fixed in Version3.9.15 
Summary0003749: Log dynamic SQL when logging SQL data load exception
DescriptionIn addition to place-holder SQL with ?'s, also log dynamic SQL which often can be run directly on the DB for troubleshooting. E.g.:
Log:
 insert into table (id) VALUES ('1234')
In addition to:
 insert into table (id) VALUES (?)

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 0f630be0

2018-10-08 17:42:05

mmichalek

Details Diff
0003749: Log dynamic SQL when logging SQL data load exception
0003749
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2018-10-08 17:36 mmichalek New Issue
2018-10-08 17:36 mmichalek Status new => assigned
2018-10-08 17:36 mmichalek Assigned To => mmichalek
2018-10-08 18:00 mmichalek Changeset attached => SymmetricDS 3.9 0f630be0
2018-10-12 10:44 mmichalek Status assigned => resolved
2018-10-12 10:44 mmichalek Resolution open => fixed
2018-10-12 10:44 mmichalek Fixed in Version => 3.9.15
2018-10-31 14:59 mmichalek Status resolved => closed